HELP! Installing [openssh][dada] plug-ins on Sierra 10.12.3

Discussion in 'Mac / Hackintosh' started by traveller1236, Feb 4, 2017.

  1. traveller1236

    traveller1236 Newbie

    Joined:
    Feb 4, 2017
    Messages:
    2
    Likes Received:
    0
    Hey guys,

    Lately, I've reinstalled my OSX due to some storage issues. So it is now Sierra 10.12.3
    Whilst in attempt to reinstall my favourite softube bundles, I found out that the cracked version no longer seemed to be working on my new platform.

    So, I just decided to get a new cracked version named, "Softube Plug-Ins v1.3.10 Audio Unit OS X [openssh][dada]"

    This was the instruction by dada

    =====================================================================================
    Copy and paste Audio Unit (AU)

    Macintosh HD /Library/Audio/Plug-Ins/Components/

    If you do not have any iLok install:

    01 - License Support
    02 - iLokClientHelper

    BACKUP THE ORIGINAL FIRST!

    Replace libstdc_**** at /usr/lib/
    (no need to replace if you already did for other releases).

    Open menu "Go" in Finder. Select "Go to folder" type /usr/lib

    1). Quit all applications and backup the libstdc++.6.0.9.dylib
    2). Replace the .dylib file with appropriate one for your system.
    3). IMMEDIATELY reboot computer if you don't want it to freeze!
    =====================================================================================



    Well what I've done by far is copying all the AU files to the directory, Macintosh HD /Library/Audio/Plug-Ins/Components/ and installing 01 - License Support, 02 - iLokClientHelper as instructed above.

    The problem is that I can't modify the directory folder (/usr/lib/) Although I managed to go in to the directory and spot the file (libstdc++.6.0.9.dylib).


    and my Logic Pro X seems to recognise the plug-ins but it indicates Crashed Validation on Logic Pro X's plug-In Manager.

    any suggestions?
     
    Last edited: Feb 4, 2017
  2.  
  3. gorri

    gorri Ultrasonic

    Joined:
    May 8, 2014
    Messages:
    90
    Likes Received:
    32
    Location:
    Earth
    You must disable SIP (System Integrity Protection) to modify /usr/lib/.

    Restart mac, press command+R, let it start... Start up Terminal app, type csrutil disable; reboot

    if it ask for password, terminal does not show your typing, so type it and press enter.

    Mac will restart.

    Now you can install in /usr/lib/.

    After that you can do csrutil enable; reboot to enable SIP again, but no need unless you lead a dangerous life on the internet, or if you just must open that email that promises you a penis made of concrete if you just give them your credit card details!

    K-))
     
  4. william

    william Newbie

    Joined:
    Apr 13, 2013
    Messages:
    2
    Likes Received:
    0
    @gorri
    Could you please tell us what plugins did you got working on sierra with openssh lib?
    Thank you
     
  5. traveller1236

    traveller1236 Newbie

    Joined:
    Feb 4, 2017
    Messages:
    2
    Likes Received:
    0
    @gorri

    Omfg man! I just disabled the SIP to modify the directory and replaced the libstndc file. and they are fucking working! I honestly, didn't expect them to be working because I just couldn't understand how that could possibly make these plug-ins working lol.

    Thank you so much man! have a wonderful day!
     
  6. gorri

    gorri Ultrasonic

    Joined:
    May 8, 2014
    Messages:
    90
    Likes Received:
    32
    Location:
    Earth
    I´m still using El Cap, but if the libstdc is sierra compatible it should work. I recommend you clone/backup your HD and give it a try. :)

    K-))
     
  7. Proves

    Proves Newbie

    Joined:
    Jan 3, 2019
    Messages:
    1
    Likes Received:
    0
    Hi! Im trying to use the Antares Autotune plugin on Logic but since I updated MacOS to Mojave I can't use it because the systems detects I don't have any iLok license. I've read about replacing the file libstdc++.6.0.9.dylib at /usr/lib/ but I don't know how to do it. Do you have any idea about what do I have to do? Is this similar to cracking Softube Plug-Ins? Where can I get the libstdc++.6.0.9.dylib file for my MacOS version? Thanks
     
  8. vuuru_keg

    vuuru_keg Kapellmeister

    Joined:
    Oct 24, 2018
    Messages:
    79
    Likes Received:
    45
    hmm, did you try codesign -f -s - ?
    usually solves my plugins crashing in logic
    if youre not familiar with this, just open terminal and type in:
    sudo codesign -f -s - *drag plugin .component here*
    make sure to leave space after the last -

    edit - hella tired didnt see it was solved and SIP wasnt disabled lol, but hope this comment may be helpful for anyone with crashing plugins in logic!
     
  9. Blaze Gordon

    Blaze Gordon Newbie

    Joined:
    Nov 27, 2019
    Messages:
    1
    Likes Received:
    0
    Hey can you please explain what file I am replacing the libstndc WITH? It says the correct file for your version. Where do I get the file to replace the other file with? Thanks!
     
Loading...
Similar Threads - HELP Installing [openssh][dada] Forum Date
Help with installing waves plugins, I’ve jnstalled them before on a different computer. Software Reviews and Tutorials Nov 13, 2019
Help on installing Keyscape + Omnisphere Software Nov 11, 2019
Help with installing Kontakt libraries Software Dec 28, 2018
Help With Installing Studio One 4 Additional Content Studio One Aug 28, 2018
Please Help with installing Waves for MAC/OSX Software Apr 25, 2018
Loading...